import { env } from '$env/dynamic/private';
import { redirect } from '@sveltejs/kit';

export const actions = {
	setTheme: async ({ url, cookies }) => {
		// Set a new theme in the cookies according to themeMode query parameter
		const themeMode = url.searchParams.get('themeMode');
		if (themeMode) {
			cookies.set('themeMode', themeMode, {
				maxAge: 60 * 60 * 24 * 365,
				httpOnly: true,
				secure: env.SESSION_SECURE === 'true',
				sameSite: 'lax',
				path: '/'
			});
		}

		return redirect(303, '/account');
	}
};

export const load = () => redirect(302, '/account');
